Current Position:Home > Firefox prompted me to download an incompatible update that its website claims is compatible with my operating system (Mac OS 10.4.11). Why prompt an incompatible download AND claim it is compatible?

Firefox prompted me to download an incompatible update that its website claims is compatible with my operating system (Mac OS 10.4.11). Why prompt an incompatible download AND claim it is compatible?

Update:10-11Source: network consolidation
Advertisement
I have an iMac and use OS 10.4.11 & Firefox 3.6.19. Firefox prompted me to download an update (to 7.0.1). I looked up the system requirements on your website, and it stated the update is compatible with OS 10.4.11. But after I downloaded and installed the update, it failed to work on grounds of incompatibility. Hence 2 questions: (1) Why did Firefox prompt me to download an incompatible update? (2) Why did your website claim the update is compatible with my operating system when it is not?

The Best Answer

Advertisement
Sorry, it's because Firefox 4+ are only compiled for the Intel processors.
There is a separate project for PPC Macs called Ten Four Fox. You might give it a spin when you're tired of 3.6.
http://www.floodgap.com/software/tenfourfox/